Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::Sample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::Sample Class Reference

## Public Member Functions
| Sample ()
| Sample (const Abc::P3fArraySample &iPos)
| Sample (const Abc::P3fArraySample &iPos, const Abc::Int32ArraySample &iInd, const Abc::Int32ArraySample &iCnt, const OV2fGeomParam::Sample &iUVs=OV2fGeomParam::Sample(), const ON3fGeomParam::Sample &iNormals=ON3fGeomParam::Sample())
const Abc::P3fArraySample & | getPositions () const
void | setPositions (const Abc::P3fArraySample &iSmp)
const Abc::V3fArraySample & | getVelocities () const
void | setVelocities (const Abc::V3fArraySample &iVelocities)
const Abc::Int32ArraySample & | getFaceIndices () const
void | setFaceIndices (const Abc::Int32ArraySample &iSmp)
const Abc::Int32ArraySample & | getFaceCounts () const
void | setFaceCounts (const Abc::Int32ArraySample &iCnt)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
const OV2fGeomParam::Sample & | getUVs () const
void | setUVs (const OV2fGeomParam::Sample &iUVs)
const ON3fGeomParam::Sample & | getNormals () const
void | setNormals (const ON3fGeomParam::Sample &iNormals)
void | reset ()
bool | isPartialSample () const

## Protected Attributes
Abc::P3fArraySample | m_positions
Abc::Int32ArraySample | m_indices
Abc::Int32ArraySample | m_counts
Abc::Box3d | m_selfBounds
Abc::V3fArraySample | m_velocities
OV2fGeomParam::Sample | m_uvs
ON3fGeomParam::Sample | m_normals

## Constructor & Destructor Documentation

## ◆ Sample() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::Sample::Sample | ( |  | ) |
| inline

Creates a default sample with no data in it. ...

## ◆ Sample() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPos | ) |
| inline

Creates a sample with position data but no index or count data. For specifying samples after the first one

## ◆ Sample() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPos,
|  | const Abc::Int32ArraySample & | iInd,
|  | const Abc::Int32ArraySample & | iCnt,
|  | const OV2fGeomParam::Sample & | iUVs = OV2fGeomParam::Sample(),
|  | const ON3fGeomParam::Sample & | iNormals = ON3fGeomParam::Sample() )
| inline

Creates a sample with position data, index data, count data, and optional UV and Normals data. For specifying samples with an explicit topology. The first sample must be full like this. Subsequent samples may also be full like this, which would indicate a change of topology

The documentation for this class was generated from the following file:

- AbcGeom/OPolyMesh.h